<?php
//--------------------------------------------------------------------
// *** Anti-Spam Module for Trackback (asm4trk) ***
// LAST UPDATE: 2009/05/30
// Version    : 2.81
// Copyright  : nJOY
// http://i-njoy.net/
//--------------------------------------------------------------------
//
// function.php
//
//--------------------------------------------------------------------

function asm4trk_format_data($val) {
	$val = strip_tags($val);
	$val = htmlspecialchars($val);
	$val = nl2br($val);
	$from = array(",", "\r", "\n");
	$to = array("&#44;", "", "");
	$val = str_replace($from, $to, $val);
	return $val;
}

function asm4trk_format_log($val) {
	$val = strip_tags($val);
	$val = htmlspecialchars($val);
	$val = str_replace(",", "&#44;", $val);
	$val = str_replace("\r", "", $val);
	$val = str_replace("\n", "", $val);
	$val = str_replace("-----", "&#x2d;---&#x2d;", $val);
	return $val;
}

function asm4trk_time_convert($val) {
	$unix_time = mktime(substr($val,8,2),substr($val,10,2),substr($val,12,2),substr($val,4,2),substr($val,6,2),substr($val,0,4));
	return $unix_time;
}

/* ----- 言及リンクチェック ----- */
function get_html($url) {
	//URL
	$pattern = "/^(http:\/\/)([^\/]+)(\/.*$)/i";
	if ( preg_match ( $pattern, $url, $match ) ) {
		$domain = $match[2]; 
		$path = $match[3]; 
	} else {
		exit();
	}
	//fsockopen
	$fp = fsockopen ( $domain, 80 );
	if ( !$fp ) {
		exit();
	}

	//HTTP
	$request = "GET ".$path." HTTP/1.0\n"; //GET
	$request .= "Host: " .$domain. "\n"; //Host:
	$request .= "User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)\n"; //User-Agent:
	$request .= "\n";
	fputs ( $fp, $request ); 
	while ( !feof ( $fp ) ) {
		$html .= fgets ( $fp, 4096 );
	}
	fclose ( $fp );
	return $html;
}


?>
