<?php
//--------------------------------------------------------------------
// *** Anti-Spam Module for Trackback (asm4trk) ***
// LAST UPDATE: 2009/05/30
// Version    : 2.81
// Copyright  : nJOY
// http://i-njoy.net/
//--------------------------------------------------------------------
//
// control.php
//
//--------------------------------------------------------------------

$module_version = "2.81";

global $blogn_admin;
if (!$blogn_admin) exit;

$menu = array(1 => "ログ", "設定", "説明", "独自タグ", "インストール", "モジュール情報");
$loadtabs = "1";

$inifile = BLOGN_MODDIR."asm4trk/config.ini";
$ngwdfile = BLOGN_MODDIR."asm4trk/ngwd.dat";
$logfile = BLOGN_MODDIR."asm4trk/rejected.log";

$inis = file($inifile);
list($mode, , $wt_half, $wt_one, $wt_two, $wt_four, $wt_lang, $wt_length, $wt_slash, $wt_ngs, $wt_badua, $wt_noua, $wt_ref, $wt_title, $wt_blip, $wt_bldm) = explode(",", $inis[0]);

switch($_POST["method"]) {
	case "edit":
		if ($_POST["ngword"]) $ng = preg_replace("/,+/", ",", $_POST["ngword"]);
		$mode 		= $_POST["mode"];
		$wt_half 	= $_POST["t_half"];
		$wt_one 	= $_POST["t_one"];
		$wt_two		= $_POST["t_two"];
		$wt_four	= $_POST["t_four"];
		$wt_lang 	= $_POST["lang"];		// 言語
		$wt_slash 	= $_POST["slash"];		// URL末尾
		$wt_badua	= $_POST["badua"];		// 不正ユーザーエージェント
		$wt_noua	= $_POST["noua"];		// 不明ユーザーエージェント
		$wt_length 	= $_POST["length"];		// 文字数
		$wt_ngs 	= $_POST["ngs"];		// 禁止ワード
		$wt_ref 	= $_POST["ref"];		// 言及リンク
		$wt_title	= $_POST["btitle"];		// ブログ名と記事タイトル
		$wt_blip	= $_POST["blip"];		// IP アドレス
		$wt_bldm	= $_POST["bldm"];		// ドメイン

		$fp = fopen($inifile, "w");
		fwrite($fp, "$mode,,$wt_half,$wt_one,$wt_two,$wt_four,$wt_lang,$wt_length,$wt_slash,$wt_ngs,$wt_badua,$wt_noua,$wt_ref,$wt_title,$wt_blip,$wt_bldm,\r\n",50);
		fclose($fp);

		$fp = fopen($ngwdfile, 'w');
		fwrite($fp, $ng);
		fclose($fp);
		$message = "設定を変更しました";
		$loadtabs = "2";
		break;
	
	case "log_delete":
		if ($_POST["deleteok"]) {
			$fp = fopen($logfile, "w");
			fwrite($fp, "");
			fclose($fp);
		}
		$loadtabs = "1";
		break;

	case "log_return":
		if (isset($_POST["logno"])) {
			$lognumber = $_POST["logno"];
			$asm4trk_log = file($logfile);
			$asm4trk_log = array_reverse($asm4trk_log);
			$log_return = explode(",", $asm4trk_log[$lognumber]);
			if ($_POST["tbtime"] == 1) $log_return[2] = gmdate("YmdHis", time() + BLOGN_TIMEZONE);
			blogn_mod_db_trackback_add($log_return[0], $log_return[2], $log_return[3], $log_return[4], $log_return[5], $log_return[6], $log_return[7], $log_return[8]);
		
			array_splice($asm4trk_log, $lognumber, 1);
			$asm4trk_log = array_reverse($asm4trk_log);
			$fp = fopen($logfile, 'w');
			foreach($asm4trk_log as $line) {
				fwrite($fp, "$line");
			}
			fclose($fp);
		}
		$loadtabs = "1";
		break;

	default:
		$message = "";
		$loadtabs = "1";
		break;
}

// auto spam blocker
$asb = array("", "", "", "", "");
if ($mode < 3 && $mode > 0) {
	if ($wt_lang == 10)  $asb[0] = "background-color:#ffaaaa;";
	if ($wt_slash == 10) $asb[1] = "background-color:#ffaaaa;";
	if ($wt_badua == 10) $asb[2] = "background-color:#ffaaaa;";
	if ($wt_title == 10) $asb[3] = "background-color:#ffaaaa;";
	$asb[4] = ' (<b style="color:#ff0000;">*</b>)';
}

include BLOGN_MODDIR.$module_name.'/menu.php';

echo $js.'
<div class="blogn_main">

<div'.formatStyle($style["wrapper"]).'>
<h1'.formatStyle($style["mod_title"]).'>トラックバックスパム対策モジュール (ver'.$module_version.')</h1>

<!-- LEFT -->
<div'.formatStyle($style["coll"]).'>
<h2'.formatStyle($style["coll_h2"]).'>メニュー</h2>
<ul'.formatStyle($style["coll_ul"]).'>';

module_control_list($menu);

echo '
</ul>
<noscript><p'.formatStyle($style["nojs"]).'>※ Javascript 無効<br />メニュー内のテキストリンクは機能しないので、● をクリックしてナビゲートしてください。</p></noscript>
<p'.formatStyle($style["credit"]).'>Powered by<br /><a href="http://i-njoy.net/blog/" target="_blank"'.formatStyle($style["credit_a"]).'>nJOY BLOG</a></p>
</div>
 
<!-- RIGHT -->
<div'.formatStyle($style["colr"]).'>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("ログ", $menu).'">
<div class="blogn_bar">ログ</div>
<div'.formatStyle($style["asm_log"]).'>
';
if (!filesize($logfile)) {
	echo '<p'.formatStyle($style["nolog"]).'>ログはありません</p>';
} else {
	echo '<form method="post" action="./admin.php?mode=module&amp;action=edit">
<input type="hidden" name="blogn_module_name" value="'.$module_name.'">
<input type="hidden" name="method" value="log_return">';
	$asm4trk_log = file($logfile);
	$asm4trk_log = array_reverse($asm4trk_log);

	$logcount = count($asm4trk_log);
	for ($l = 0; $l < $logcount; $l++) {
		$log = explode(",", $asm4trk_log[$l]);
		$date = asm4trk_format_date($log[2]);
		$mes = str_replace('\"', '"', $log[6]);
		if ($log[9] > 3600) {
			$tb_time = floor($log[9] / 3600).'時間'.floor($log[9] % 3600 / 60).'分';
		} else {
			$tb_time = floor($log[9] / 60).'分'; 
		}
		echo '
<h2'.formatStyle($style["asm_log_h2"]).'>[記事ID:'.$log[0].'] '.$date.'（記事投稿後 '.$tb_time.'）<span'.formatStyle($style["reason"]).'>'.asm4trk_reason($log[1]).'</span>';
if ($log[10] >= 10) {
			echo '<span'.formatStyle($style["pen_l"]).'>';
		}elseif ($log[10] == 0) {
			echo '<span'.formatStyle($style["pen_s"]).'>';
		} else {
			echo '<span'.formatStyle($style["pen_m"]).'>';
		}
	echo 'ペナルティ: '.number_format($log[10] * 0.1, 1).'</span></h2>
<div'.formatStyle($style["log_left"]).'>';
if ($log[10] >= 10) echo '<input type="radio" name="logno" value="'.$l.'">';
echo '</div>
<div'.formatStyle($style["log_right"]).'>
<h3'.formatStyle($style["asm_log_h3"]).'>
<a href="'.$log[5].'" target="_blank">'.htmlspecialchars($log[4]).'</a> ('.htmlspecialchars($log[3]).')</h3>
<p'.formatStyle($style["comment"]).'>'.$mes.'</p><hr'.formatStyle($style["seperator"]).' />
<p'.formatStyle($style["commenter"]).'><b>UA</b>: '.htmlspecialchars($log[8]).', <b>IP</b>: '.htmlspecialchars($log[7]).'</p></div>';
	}
}

echo '
</div><br clear="both" />';
if (filesize($logfile)) {
echo '
<input type="submit" value="迷惑TB解除"'.formatStyle($style["button"]).'>
<input type="radio" name="tbtime" value="0" checked="checked"> 元の時刻でTB登録 
<input type="radio" name="tbtime" value="1"> 現在の時刻でTB登録
</form>

<form method="post" action="./admin.php?mode=module&amp;action=edit">
<input type="hidden" name="blogn_module_name" value="'.$module_name.'">
<input type="hidden" name="method" value="log_delete">
<input type="submit" value="ログ一括削除"'.formatStyle($style["button"]).'>
<input type="checkbox" name="deleteok" value="1"> ログを削除する場合は、チェックをつけて [ログ一括削除] ボタンを押してください
</form>';
}

echo '
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("設定", $menu).'">

<form method="post" action="./admin.php?mode=module&amp;action=edit">
<input type="hidden" name="blogn_module_name" value="'.$module_name.'">

<div class="blogn_bar">現在の設定</div>
<table border="1" cellspacing="0" cellpadding="3" width="600">
<tr bgcolor="#dcdcdc"><th colspan="3">動作設定</th></tr>
<tr>
<td bgcolor="#e9e9e9"><strong>モード選択</strong></td>
<td>モードの詳細は下記説明を参照。</td>
<td><select name="mode"'.formatStyle($style["sel_penalty"]).'>';

$asmt_mode["select"] = array("", "", "", "", "");
$asmt_mode["select"][$mode] = ' selected="selected"';
echo '
<option value="0"'.$asmt_mode["select"][0].'>テスト</option>
<option value="1"'.$asmt_mode["select"][1].'>Aモード</option>
<option value="2"'.$asmt_mode["select"][2].'>Bモード</option>
<option value="4"'.$asmt_mode["select"][4].'>Cモード</option>
<option value="3"'.$asmt_mode["select"][3].'>Dモード</option>
</select>
</td>
</tr>';
if ($mode < 3 && $mode > 0) {
	echo '<tr><td bgcolor="#e9e9e9"><strong>自動排除</strong></td>
<td colspan="2">「<b'.formatStyle($style["red"]).'>*</b>」が付いている項目を「1.0」に設定し条件に適合した場合、ログに記録せずスパムを排除</td></tr>';
}

echo '<tr bgcolor="#dcdcdc"><th colspan="2">スパム認定方法</th><th>ペナルティ</th></tr>
<tr>
<td bgcolor="#e9e9e9" rowspan="4"><strong>TB 受信時間</strong></td>
<td>記事投稿後、30分以内にトラックバックを受信した場合</td>
<td><select name="t_half"'.formatStyle($style["sel_penalty"]).'>';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_half);
}
echo '
</select>
</td>
</tr>

<tr>
<td>記事投稿後、30分以降～1時間以内にトラックバックを受信した場合</td>
<td><select name="t_one"'.formatStyle($style["sel_penalty"]).'>';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_one);
}
echo '
</select>
</td>
</tr>

<tr>
<td>記事投稿後、1時間以降～2時間以内にトラックバックを受信した場合</td>
<td><select name="t_two"'.formatStyle($style["sel_penalty"]).'>';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_two);
}
echo '
</select>
</td>
</tr>

<tr>
<td>記事投稿後、2時間以降～4時間以内にトラックバックを受信した場合</td>
<td><select name="t_four"'.formatStyle($style["sel_penalty"]).'>';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_four);
}
echo '
</select>
</td>
</tr>

<tr>
<td bgcolor="#e9e9e9"><strong>言語</strong></td>
<td>概要に日本語が含まれない場合</td>
<td><select name="lang" style="width:5em;margin:0;'.$asb[0].'">';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_lang);
}
echo '
</select>'.$asb[4].'
</td>
</tr>

<tr>
<td bgcolor="#e9e9e9"><strong>文字数</strong></td>
<td>概要が 240 bytes 以下の場合</td>
<td><select name="length"'.formatStyle($style["sel_penalty"]).'>';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_length);
}
echo '
</select>
</td>
</tr>


<tr>
<td bgcolor="#e9e9e9"><strong>URL</strong></td>
<td>TB送信元のURLの末尾が『/』の場合</td>
<td><select name="slash" style="width:5em;margin:0;'.$asb[1].'">';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_slash);
}
echo '
</select>'.$asb[4].'
</td>
</tr>

<tr>
<td bgcolor="#e9e9e9" rowspan="2"><strong>UA</strong></td>
<td>不正なユーザーエージェント（UA）が検出された場合</td>
<td><select name="badua" style="width:5em;margin:0;'.$asb[2].'">';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_badua);
}
echo '
</select>'.$asb[4].'
</td>
</tr>

<tr>
<td>不明なユーザーエージェント（UA）が検出された場合</td>
<td><select name="noua"'.formatStyle($style["sel_penalty"]).'>';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_noua);
}
echo '
</select>
</td>
</tr>

<tr>
<td bgcolor="#e9e9e9"><strong>記事名</strong></td>
<td>TB送信元のブログ名と記事タイトルが同じ場合</td>
<td><select name="btitle" style="width:5em;margin:0;'.$asb[3].'">';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_title);
}
echo '
</select>'.$asb[4].'
</td>
</tr>

<tr>
<td bgcolor="#e9e9e9" rowspan="2"><strong>ブラックリスト</strong></td>
<td>「スパムちゃんぷるー」に登録されていた場合（IP アドレスによるフィルタ）</td>
<td><select name="blip"'.formatStyle($style["sel_penalty"]).'>';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_blip);
}
echo '
</select>
</td>
</tr>

<tr>
<td>「rbl.bulkfeeds.jp」に登録されていた場合（URL によるフィルタ）</td>
<td><select name="bldm"'.formatStyle($style["sel_penalty"]).'>';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_bldm);
}
echo '
</select>
</td>
</tr>

<tr>
<td bgcolor="#e9e9e9"><strong>言及リンク</strong></td>
<td>TB送信元の記事に言及リンクがない場合</td>
<td><select name="ref"'.formatStyle($style["sel_penalty"]).'>';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_ref);
}
echo '
</select>
</td>
</tr>

<tr>
<td bgcolor="#e9e9e9" rowspan="2"><strong>禁止ワード</strong></td>
<td>概要または URL に指定した禁止ワード（↓）が含まれていた場合</td>
<td><select name="ngs"'.formatStyle($style["sel_penalty"]).'>';

for ($i = 0; $i < 11; $i++) {
	asm4trk_control_option($i, $wt_ngs);
}
$ng = fopen($ngwdfile, 'r');
$line = fgets($ng);

echo '
</select>
</td>
</tr>

<tr><td colspan="2"><input type="text" name="ngword" value="'.$line.'" size="80" /></td>
</tr>

</table>

<input type="hidden" name="method" value="edit">
<input type="submit" value="変更"'.formatStyle($style["button"]).'> <span'.formatStyle($style["message"]).'>'.$message.'</span>
</form>';
fclose($ng);

echo '
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("説明", $menu).'">

<div class="blogn_bar">説明</div>
<div'.formatStyle($style["mod"]).'>
<h2'.formatStyle($style["mod_h2"]).'>スパム認定方法</h2>
<p'.formatStyle($style["mod_p"]).'>詳しい説明は <a href="http://i-njoy.net/tips/pp_asm4trk.php">http://i-njoy.net/tips/pp_asm4trk.php</a> を参照してください。<br />'.urldecode("%E5%85%A5%E5%AE%A4%E7%94%A8%E3%83%91%E3%82%B9%E3%83%AF%E3%83%BC%E3%83%89%EF%BC%9D%E3%80%8C&#105;&#104;&#97;&#116;&#101;&#115;&#112;&#97;&#109;%E3%80%8D").'</p>


<h2'.formatStyle($style["mod_h2"]).'>仕組み</h2>
<p'.formatStyle($style["mod_p"]).'>トラックバックに対して多種多様の条件でスパムかどうか判断します。条件に適合していればその条件に設定されたペナルティが加算され、合計ペナルティが「1.0」以上でスパムと判定されます。<br />各条件に与えられるペナルティは0.1ポイント刻みで「0.0～1.0」の間に設定できます。</p>

<h3'.formatStyle($style["mod_h3"]).'>モード選択について</h3>
<dl'.formatStyle($style["mod_dl"]).'>
<dt>テストモード</dt><dd>スパム排除機能OFF。全てのトラックバックをログに記録します。</dd>
<dt>Aモード</dt><dd>オール（All）モード：スパム排除機能ON。スパムでないトラックバックも全てログに記録します。</dd>
<dt>Bモード</dt><dd>ブロック（Block）モード：スパム排除機能ON。スパムと判定されたトラックバックのみログに記録します。</dd>
<dt>Cモード</dt><dd>チェック（Check）モード：スパム判定は行わず、全トラックバックの公開を保留します。</dd>
<dt>Dモード</dt><dd>デリート（Delete）モード：スパム排除機能ON。ログへの記録はしません。</dd>
</dl>

<h3'.formatStyle($style["mod_h3"]).'>自動排除について</h3>
<p'.formatStyle($style["mod_p"]).'>オートスパムブロッカーを有効にするには「<b'.formatStyle($style["red"]).'>*</b>」が付いている項目を「1.0」に設定して下さい（A/Bモード時のみ）。<br />条件に適合した場合、ログには記録されずトラックバックを受けつけずに破棄します。</p>

<h3'.formatStyle($style["mod_h3"]).'>禁止ワードについて</h3>
<ul'.formatStyle($style["mod_list"]).'>
<li>禁止ワードは「概要」と「URL」欄に適用されます。</li>
<li>単語は半角コンマで区切って入力してください。</li>
<li>半角英文字の大文字・小文字の区別はしません。</li>
<li>PHP の正規表現を使う事が出来ます。<br />
（例： cas[i1]n[o0] と入力すれば、casino でも cas1no でも CAS1N0 でもヒットします）</li>
</ul>
</div>

<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("独自タグ", $menu).'">
<div class="blogn_bar">独自タグ</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>このモジュールで使える独自タグ</h2>

<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="100">独自タグ</th><th>説明</th><th width="50">補足</th></tr>
<tr><td>{ASMTB_COUNT}</td><td>ログに保留されているトラックバック数を表示</td><td>-</td></tr>
</table>

</div>
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("インストール", $menu).'">
<div class="blogn_bar">インストール</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>インストール方法</h2>
<ol'.formatStyle($style["mod_list"]).'>
<li>「config.ini」「ngwd.dat」「rejected.log」のパーミッションを「666」等に変更する。</li>
<li>「tb.php」を改造する。</li>
<li>モジュールの管理画面から設定を変更する。</li>
<li>（オプション）スキンの HTML ファイルに独自タグを追加する。</li>
'.$mod_control["co_start"].'<li>必要に応じてモジュール管理画面から動作スイッチを ON にする必要があります。</li>'.$mod_control["co_end"].'
</ol>

<h3'.formatStyle($style["mod_h3"]).'>■ 「tb.php」の改造</h3>
<p'.formatStyle($style["mod_p"]).'>「tb.php」86行目あたりに下記の通りに<b'.formatStyle($style["red"]).'>赤文字部分</b>を追加してください。</p>
<pre'.formatStyle($style["pre"]).'>
// 重複投稿チェック 
$errflg = false; 
if ($trackback[0]) { 
    while (list($key, $val) = each($trackback[1])) { 
        if ($val["name"] == $blog_name && $val["url"] == $url) { 
            $errflg = true; 
            break; 
        } 
    } 
} 

<b'.formatStyle($style["red"]).'>include(BLOGN_MODDIR."/asm4trk/asm4trk.php");</b>

if (!$errflg) { 
</pre>

</div>

<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("モジュール情報", $menu).'">
<div class="blogn_bar">モジュール情報</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>公式サイト</h2>
<p'.formatStyle($style["mod_p"]).'>もっと詳しい情報や最新版モジュールのダウンロードは「<a href="http://i-njoy.net/tips/plus_ast.shtml" target="_blank">トラックバックスパム対策モジュール</a>」の解説ページからどうぞ。</p>
<p'.formatStyle($style["mod_p"]).'>最新情報は「<a href="http://i-njoy.net/blog/" target="_blank">nJOY BLOG</a>」から入手できます。</p>

<h2'.formatStyle($style["mod_h2"]).'>モジュール構成ファイル</h2>
<ul'.formatStyle($style["package"]).'>
<li'.formatStyle($style["pack_0"]).'>+ blognplus /</li>
<li'.formatStyle($style["pack_1"]).'>+ module /</li>
<li'.formatStyle($style["pack_2"]).'>+ asm4trk /</li>
<li'.formatStyle($style["pack_3"]).'>- asm4trk.php</li>
<li'.formatStyle($style["pack_3"]).'>- blank.php</li>
<li'.formatStyle($style["pack_3"]).'>- <span'.formatStyle($style["red"]).'>config.ini</span></li>
<li'.formatStyle($style["pack_3"]).'>- control.php</li>
<li'.formatStyle($style["pack_3"]).'>- display.php</li>
<li'.formatStyle($style["pack_3"]).'>- function.php</li>
<li'.formatStyle($style["pack_3"]).'>- index.html</li>
<li'.formatStyle($style["pack_3"]).'>- info.php</li>
<li'.formatStyle($style["pack_3"]).'>- install.php</li>
<li'.formatStyle($style["pack_3"]).'>- menu.php</li>
<li'.formatStyle($style["pack_3"]).'>- <span'.formatStyle($style["red"]).'>ngwd.dat</span></li>
<li'.formatStyle($style["pack_3"]).'>- <span'.formatStyle($style["red"]).'>rejected.log</span></li>
<li'.formatStyle($style["pack_3"]).'>- style.php</li>
<li'.formatStyle($style["pack_3"]).'>- uninstall.php</li>
<li'.formatStyle($style["pack_3"]).'>- update.php</li>
</ul>

<p'.formatStyle($style["mod_p"]).'><span'.formatStyle($style["red"]).'>赤文字のファイル</span>のパーミッションは「666」や「606」に変更してください。</p>

'.$mod_control["co_start"].'
<h2'.formatStyle($style["mod_h2"]).'>動作 ON/OFF</h2>
<p'.formatStyle($style["mod_p"]).'>モジュールをインストール後に、動作のオン・オフを切り替える必要があります。</p>
<dl'.formatStyle($style["mod_dl"]).'>
<dt>PC</dt><dd>通常は「PC」欄を <img src="images/off.gif" width="20" height="20" alt="OFF" /> のままで使用してください。<br />「トラックバック保留カウンター」を使う場合のみ、<img src="images/on.gif" width="20" height="20" alt="ON" /> に変更して使ってください。</dd>
<dt>携帯</dt><dd>通常は「携帯」欄を <img src="images/off.gif" width="20" height="20" alt="OFF" /> のままで使用してください。</dd>
</dl>

<h2'.formatStyle($style["mod_h2"]).'>優先順位</h2>
<p'.formatStyle($style["mod_p"]).'>特に制限はありません。</p>
'.$mod_control["co_end"].'

</div>
<hr'.formatStyle($style["hr"]).' />
</div>

</div>
</div>
</div>';


function asm4trk_reason($str) {
	if ($str) {
		if (strpos($str, "保留")) {
			$str = str_replace("{保留}", "", $str);
		}
		$count = substr_count($str, "[");
		if ($count > 1) {
			$style = ' style="background-color:#ffffaa;display:inline;"';
		} else {
			$style = ' style="display:inline;" disabled="disabled"';
		}
		if ($count) {
			$str = str_replace("[", "<option>", $str);
			$str = str_replace("]", "</option>", $str);
			$str = '<select'.$style.'>'.$str.'</select>';
		}
	}
	return $str;
}



function asm4trk_format_date($val) {
	$val = substr($val, 0,4).'/'.substr($val,4,2).'/'.substr($val,6,2).' '.substr($val,8,2).':'.substr($val,10,2).':'.substr($val,12,2);
	return $val;
}

function asm4trk_control_option($i, $val) {
	$str = "";
	if ( $val == $i ) {
		$str .= '<option selected="selected" value="'.$i.'">'.number_format($i * 0.1, 1).'</option>';
	} else {
		$str .= '<option value="'.$i.'">'.number_format($i * 0.1, 1).'</option>';
	}
	echo $str;
}

?>
